package ij3d.geom;

/*
 *
 * ij3d Thomas Boudier
Copyright (C) 2010 Jean Ollion

License:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
public class ColorPoint3D extends Point3D {
	float valueR;
	float valueG;
	float valueB;


	/**
	 *  Constructor for the Point3D object
	 *
	 * @param  x  Description of the Parameter
	 * @param  y  Description of the Parameter
	 * @param  z  Description of the Parameter
	 * @param  R  Description of the Parameter
	 * @param  G  Description of the Parameter
	 * @param  B  Description of the Parameter
	 */
	public ColorPoint3D(float x, float y, float z, float R, float G, float B) {
		super(x, y, z);
		valueR = R;
		valueG = G;
		valueB = B;
	}


	/**
	 *  Gets the r attribute of the Point3D object
	 *
	 * @return    The r value
	 */
	public float getR() {
		return valueR;
	}


	/**
	 *  Gets the g attribute of the Point3D object
	 *
	 * @return    The g value
	 */
	public float getG() {
		return valueR;
	}


	/**
	 *  Gets the b attribute of the Point3D object
	 *
	 * @return    The b value
	 */
	public float getB() {
		return valueR;
	}

    /**
     *  Sets the pixel attribute of the Voxel3D object
     *  	 	 @param  x  The new pixel value
     *  	 @param  y  The new pixel value
     *  	 @param  z  The new pixel value
     *  	 @param  value  The new pixel value
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.27ED7ADF-1EA8-1713-A2C9-D84392814B8A]
    // </editor-fold> 
    public void setPixel (int x, int y, int z, float value) {
    }

    /**
     *  Sets the pixel attribute of the Voxel3D object
     *  	 	 @param  x  The new pixel value
     *  	 @param  y  The new pixel value
     *  	 @param  z  The new pixel value
     *  	 @param  value  The new pixel value
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.DF1062D1-CA01-C2A8-6866-61734BBAC6D9]
    // </editor-fold> 
    public void setPixel (int x, int y, int z, double value) {
    }

   


    
   

   

   

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.22BD352A-5649-0F9D-608B-D3C2A3F44CB9]
    // </editor-fold> 
    public String toString () {
        return null;
    }

    /**
     *  Description of the Method
     *  	 	 @param  autre  Description of the Parameter
     *  	 @return  Description of the Return Value
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8AA2A38E-DC16-6A3B-4490-0665A955E74D]
    // </editor-fold> 
    public double dist (Voxel3D autre) {
        return 0.0;
    }

    /**
     *  Get the value of x
     *  	 	 @return    the value of x
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.35C4729F-83D9-603A-6732-4CF1558FEC78]
    // </editor-fold> 
    public double getX () {
        return 0.0;
    }

    /**
     *  Get the value of y
     *  	 	 @return    the value of y
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.400E0024-FD5F-F59D-6DE7-D09BC1902B74]
    // </editor-fold> 
    public double getY () {
        return 0.0;
    }

    /**
     *  Get the value of z
     *  	 	 @return    the value of z
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.57200B44-DCBC-524D-E843-6DC6DFE54293]
    // </editor-fold> 
    public double getZ () {
        return 0.0;
    }

    /**
     *  Gets the vector3D attribute of the Point3D object
     *  	 	 @return    The vector3D value
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.739D4F54-82A1-696C-E8AF-F23CC5F10EB0]
    // </editor-fold> 
    public Vector3D getVector3D () {
        return null;
    }

    /**
     *  Gets the position attribute of the Point3D object
     *  	 	 @return    The position value
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F8EFFD6E-CC07-08C4-F9A5-667849C9BED6]
    // </editor-fold> 
    public Point3D getPosition () {
        return null;
    }

    /**
     *  Description of the Method
     *  	 	 @param  v  Description of the Parameter
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3F8401A7-9584-4668-E472-7A025959C803]
    // </editor-fold> 
    public void translate (Vector3D v) {
    }

    /**
     *  Description of the Method
     *  	 	 @param  other  Description of the Parameter
     *  	 @return  Description of the Return Value
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.44811124-14CA-FA30-38D3-A67BC359F5DD]
    // </editor-fold> 
    public double distance (Point3D other) {
        return 0.0;
    }

    /**
     *  Description of the Method
     *  	 	 @param  other  Description of the Parameter
     *  	 @return  Description of the Return Value
     */
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AF179062-D0C0-5690-849E-1DF17A6A0400]
    // </editor-fold> 
    public double distanceSquare (Point3D other) {
        return 0.0;
    }

}

